from django.db import models

# Create your models here.

class User(models.Model):
    UserID = models.AutoField(primary_key=True)
    NamaUser = models.CharField(max_length=100)

class Rumah(models.Model):
    RumahID = models.AutoField(primary_key=True)
    NamaRumah = models.CharField(max_length=100)
    Penghuni = models.ManyToManyField(User, through='DetailPenghuni')

class Ruang(models.Model):
    RuangID = models.AutoField(primary_key=True)
    Rumah = models.ForeignKey(Rumah,on_delete=models.CASCADE,to_field='RumahID')
    NamaRuang = models.CharField(max_length=100)

class DetailPenghuni(models.Model):
    Rumah = models.ForeignKey(Rumah,on_delete=models.CASCADE,to_field='RumahID')
    User = models.ForeignKey(User,on_delete=models.CASCADE,to_field='UserID')
    Role = models.IntegerField()

class Item(models.Model):
    ItemID = models.AutoField(primary_key=True)
    Ruang = models.ForeignKey(Ruang,on_delete=models.CASCADE,to_field='RuangID')
    NamaItem = models.CharField(max_length=100)
    StatusItem = models.BooleanField()
    Pengguna = models.ManyToManyField(User, through='Akses')

class Akses(models.Model):
    User = models.ForeignKey(User,on_delete=models.CASCADE,to_field='UserID')
    Item = models.ForeignKey(Item,on_delete=models.CASCADE,to_field='ItemID')
    StatusAkses = models.BooleanField()



