from django.shortcuts import render, redirect
from primary.models import User, Rumah, Ruang, Item, DetailPenghuni, Akses
# Create your views here.

def post_without_csrf(post_data):
    return {i:post_data[i] for i in post_data if i!='csrfmiddlewaretoken'}

def index(request):
    try: 
      rumah = Rumah.objects.get()
      return render(request, 'index.html', {})
    except:
      return redirect('/rumah/add')

def rumah_add(request):
    return render(request, 'rumah/add.html', {})

def rumah_add_post(request):
    rumah = Rumah(**post_without_csrf(request.POST))
    rumah.save()
    return redirect('/');

def user_add(request):
    return render(request, 'user/add.html', {})

def user_add_post(request):
    user = User(**post_without_csrf(request.POST))
    user.save();
    return redirect('/');

def user_index(request):
    users = User.objects.all();
    return render(request, 'user/index.html', {'users': users} )

def ruang_add(request):
    rumahs = Rumah.objects.all();
    return render(request, 'ruang/add.html', {'rumahs': rumahs})

def ruang_add_post(request):
    params = post_without_csrf(request.POST)
    params['Rumah'] = Rumah.objects.get(pk=params['Rumah'])
    ruang = Ruang(**params)
    ruang.save();
    return redirect('/');

def ruang_index(request):
    ruangs = Ruang.objects.all()
    return render(request, 'ruang/index.html', {'ruangs': ruangs} )

def item_add(request):
    ruangs = Ruang.objects.all();
    return render(request, 'item/add.html', {'ruangs': ruangs})

def item_add_post(request):
    params = post_without_csrf(request.POST)
    params['Ruang'] = Ruang.objects.get(pk=params['Ruang'])
    if 'StatusItem' in params:
        params['StatusItem'] = 1
    else:
        params['StatusItem'] = 0
    item = Item(**params)
    item.save();
    return redirect('/');

def item_index(request):
    items = Item.objects.all()
    return render(request, 'item/index.html', {'items': items} )

def penghuni_add(request):
    users = User.objects.all();
    rumahs = Rumah.objects.all();
    return render(request, 'penghuni/add.html', {'users': users, 'rumahs': rumahs})

def penghuni_add_post(request):    
    params = post_without_csrf(request.POST)
    params['Rumah'] = Rumah.objects.get(pk=params['Rumah'])
    params['User'] = User.objects.get(pk=params['User'])
    penghuni = DetailPenghuni(**params)
    penghuni.save()
    return redirect('/');

def penghuni_index(request):
    penghunis = DetailPenghuni.objects.all()
    return render(request, 'penghuni/index.html', {'penghunis': penghunis} )

def akses_add(request):
    users = User.objects.all();
    items = Item.objects.all();
    return render(request, 'akses/add.html', {'users': users, 'items': items})

def akses_add_post(request):    
    params = post_without_csrf(request.POST)
    params['Item'] = Item.objects.get(pk=params['Item'])
    params['User'] = User.objects.get(pk=params['User'])
    akses = Akses(**params)
    akses.save()
    return redirect('/');

def akses_index(request):
    aksess = Akses.objects.all()
    return render(request, 'akses/index.html', {'aksess': aksess} )
